# Uses of Class
org.apache.sysds.runtime.instructions.spark.data.CorrMatrixBlock

Packages that use CorrMatrixBlock
Package
Description
org.apache.sysds.runtime.instructions.spark.data
org.apache.sysds.runtime.matrix.data
org.apache.sysds.runtime.matrix.data.sketch
org.apache.sysds.runtime.matrix.data.sketch.countdistinct
org.apache.sysds.runtime.matrix.data.sketch.countdistinctapprox

## Uses of CorrMatrixBlock in org.apache.sysds.runtime.instructions.spark.data

Methods in org.apache.sysds.runtime.instructions.spark.data that return CorrMatrixBlock
Modifier and Type
Method
Description
`CorrMatrixBlock`
CorrMatrixBlock.`set(MatrixBlock value, MatrixBlock corr)`

## Uses of CorrMatrixBlock in org.apache.sysds.runtime.matrix.data

Methods in org.apache.sysds.runtime.matrix.data that return CorrMatrixBlock
Modifier and Type
Method
Description
`static CorrMatrixBlock`
LibMatrixCountDistinct.`createSketch(CountDistinctOperator op, MatrixBlock blkIn)`
`static CorrMatrixBlock`
LibMatrixCountDistinct.`unionSketch(CountDistinctOperator op, CorrMatrixBlock corrBlkIn0, CorrMatrixBlock corrBlkIn1)`
Methods in org.apache.sysds.runtime.matrix.data with parameters of type CorrMatrixBlock
Modifier and Type
Method
Description
`static MatrixBlock`
LibMatrixCountDistinct.`countDistinctValuesFromSketch(CountDistinctOperator op, CorrMatrixBlock corrBlkIn)`
`static CorrMatrixBlock`
LibMatrixCountDistinct.`unionSketch(CountDistinctOperator op, CorrMatrixBlock corrBlkIn0, CorrMatrixBlock corrBlkIn1)`

## Uses of CorrMatrixBlock in org.apache.sysds.runtime.matrix.data.sketch

Methods in org.apache.sysds.runtime.matrix.data.sketch that return CorrMatrixBlock
Modifier and Type
Method
Description
`CorrMatrixBlock`
MatrixSketch.`create(MatrixBlock blkIn)`
Create an initial sketch of a given block.
`CorrMatrixBlock`
MatrixSketch.`intersection(CorrMatrixBlock arg0, CorrMatrixBlock arg1)`
Intersect two sketches
`CorrMatrixBlock`
MatrixSketch.`union(CorrMatrixBlock arg0, CorrMatrixBlock arg1)`
Union two sketches together to from a combined sketch.
Methods in org.apache.sysds.runtime.matrix.data.sketch with parameters of type CorrMatrixBlock
Modifier and Type
Method
Description
`MatrixBlock`
MatrixSketch.`getValueFromSketch(CorrMatrixBlock blkIn)`
Obtain matrix distinct count value from estimation Used for estimating distinct in rows or columns.
`CorrMatrixBlock`
MatrixSketch.`intersection(CorrMatrixBlock arg0, CorrMatrixBlock arg1)`
Intersect two sketches
`CorrMatrixBlock`
MatrixSketch.`union(CorrMatrixBlock arg0, CorrMatrixBlock arg1)`
Union two sketches together to from a combined sketch.

## Uses of CorrMatrixBlock in org.apache.sysds.runtime.matrix.data.sketch.countdistinct

Methods in org.apache.sysds.runtime.matrix.data.sketch.countdistinct that return CorrMatrixBlock
Modifier and Type
Method
Description
`CorrMatrixBlock`
CountDistinctFunctionSketch.`create(MatrixBlock blkIn)`
`CorrMatrixBlock`
CountDistinctFunctionSketch.`intersection(CorrMatrixBlock arg0, CorrMatrixBlock arg1)`
`CorrMatrixBlock`
CountDistinctFunctionSketch.`union(CorrMatrixBlock arg0, CorrMatrixBlock arg1)`
Methods in org.apache.sysds.runtime.matrix.data.sketch.countdistinct with parameters of type CorrMatrixBlock
Modifier and Type
Method
Description
`MatrixBlock`
CountDistinctFunctionSketch.`getValueFromSketch(CorrMatrixBlock blkIn)`
`CorrMatrixBlock`
CountDistinctFunctionSketch.`intersection(CorrMatrixBlock arg0, CorrMatrixBlock arg1)`
`CorrMatrixBlock`
CountDistinctFunctionSketch.`union(CorrMatrixBlock arg0, CorrMatrixBlock arg1)`

## Uses of CorrMatrixBlock in org.apache.sysds.runtime.matrix.data.sketch.countdistinctapprox

Methods in org.apache.sysds.runtime.matrix.data.sketch.countdistinctapprox that return CorrMatrixBlock
Modifier and Type
Method
Description
`CorrMatrixBlock`
KMVSketch.`create(MatrixBlock blkIn)`
`CorrMatrixBlock`
KMVSketch.`intersection(CorrMatrixBlock arg0, CorrMatrixBlock arg1)`
`CorrMatrixBlock`
KMVSketch.`union(CorrMatrixBlock arg0, CorrMatrixBlock arg1)`
Methods in org.apache.sysds.runtime.matrix.data.sketch.countdistinctapprox with parameters of type CorrMatrixBlock
Modifier and Type
Method
Description
`MatrixBlock`
KMVSketch.`getValueFromSketch(CorrMatrixBlock arg0)`
`CorrMatrixBlock`
KMVSketch.`intersection(CorrMatrixBlock arg0, CorrMatrixBlock arg1)`
`CorrMatrixBlock`
KMVSketch.`union(CorrMatrixBlock arg0, CorrMatrixBlock arg1)`
`void`
KMVSketch.`unionSketchByIndex(CorrMatrixBlock arg0, CorrMatrixBlock arg1, int idx, CorrMatrixBlock blkOut)`